slepc-3.10.1 2018-10-23
Report Typos and Errors

# DSRestoreMat

Restores the matrix after DSGetMat() was called.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRestoreMat(DS ds,DSMatType m,Mat *A)

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix
| A | - the fetched Mat object

### Notes

A call to this function must match a previous call of DSGetMat(). The effect is that the contents of the Mat are copied back to the DS internal array, and the matrix is destroyed.

It is not compulsory to call this function, the matrix obtained with DSGetMat() can simply be destroyed if entries need not be copied back.

### See Also

DSGetMat(), DSRestoreArray(), DSRestoreArrayReal()

Location: src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages